{% set title = 'Bilan sous-bassin' %}

{% include('report/reportHeader.twig') %}
{% include('report/reportMenu.twig') %}

<h1>Générer un bilan REH par sous-bassin</h1>
<p>Cette page permet calculer une série d'indicateurs à l'échelle de sous-bassins.</p>


<form method='post' action='#' novalidate>

    {% form_theme form 'bootstrap_3_layout.html.twig' %}
    {{ form_widget(form) }}

    <button type="submit" class="btn btn-primary">Afficher le bilan</button>

</form>



{% if tabR is defined %}
    <h1>Résultats</h1>

    <div id="alt_berges" style="width: 100%; height: 500px;"></div>
    <div id="alt_lit" style="width: 100%; height: 500px;"></div>
    <div id="alt_ligne" style="width: 100%; height: 500px;"></div>



    <table class='table table-hover'>
        {% for key,R in tabR %}
            {% if R is iterable %}
                <tr><td colspan='2'><b>{{ key|raw }}</b></td></tr>
                            {% for key2,r in R %}
                    <tr><td>- {{ key2 }}</td><td>{{ r|raw }}
                            {% if key|slice(0,3) == 'ALT' or key|slice(0,8) == 'Incision' %}

                                ({{ (r/tabR['Linéaire des segments dans la zone'] * 100)|round(0) }}%)

                            {% endif %}                        
                        </td></tr>
                    {% endfor %}
                {% else %}
                <tr><td><b>{{ key|raw }}</b></td><td>{{ R }}</td></tr>
            {% endif%}


        {% endfor %}
    </table>


    <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>

    <script type="text/javascript">
        google.charts.load('current', {'packages': ['corechart']});
        google.charts.setOnLoadCallback(drawChart);

        function drawChart() {

        {% set tab = [ 'Très bon' ,'Bon', 'Moyen', 'Mauvais','Très mauvais','Non renseigné' ] %}

                var data = google.visualization.arrayToDataTable([
                    ['Altération du compartiment Berges', '%'],{% for t in tab %}
                    ['{{ t|default('Non renseigné')|raw }}', {{ tabR['ALT. COMP. BERGES'][t]|default(0)|round(2) }}],{% endfor %}
                ]);

                var options = {
                    title: 'Altération du compartiment Berges',
                    slices: {5 : { color : '#ececec'}, 4: {color: 'red'}, 3: {color: '#f79433'}, 2: {color: '#ffed00'}, 1: {color: '#bfd730'}, 0: {color: '#00c0f3'}}
                };
                var chart = new google.visualization.PieChart(document.getElementById('alt_berges'));
                chart.draw(data, options);



                var data2 = google.visualization.arrayToDataTable([
                    ['Altération du compartiment Lit', '%'],{% for t in tab %}
                    ['{{ t|default('Non renseigné')|raw }}', {{ tabR['ALT. COMP. LIT'][t]|default(0)|round }}],{% endfor %}
                ]);

                var options2 = {
                    title: 'Altération du compartiment Lit',
                   slices: {5 : { color : '#ececec'}, 4: {color: 'red'}, 3: {color: '#f79433'}, 2: {color: '#ffed00'}, 1: {color: '#bfd730'}, 0: {color: '#00c0f3'}}
                };
                var chart2 = new google.visualization.PieChart(document.getElementById('alt_lit'));
                chart2.draw(data2, options2);



                var data3 = google.visualization.arrayToDataTable([
                    ['Altération du compartiment ligne d\'eau', '%'],{% for t in tab %}
                    ['{{ t|default('Non renseigné')|raw }}', {{ tabR['ALT. COMP. LIGNE D&#039;EAU'][t]|default(0)|round(2) }}],{% endfor %}
                ]);

                var options3 = {
                    title: 'Altération du compartiment Ligne d\'eau',
                    slices: {5 : { color : '#ececec'}, 4: {color: 'red'}, 3: {color: '#f79433'}, 2: {color: '#ffed00'}, 1: {color: '#bfd730'}, 0: {color: '#00c0f3'}}
                };
                var chart3 = new google.visualization.PieChart(document.getElementById('alt_ligne'));
                chart3.draw(data3, options3);


            }
    </script>
{% endif %}

{% set js = '<script>$(\'select\').height(300);</script>' %}

{% include('report/reportFooter.twig') %}